<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Dozent\Dokumente\DokumenteDownload;

class DokumenteDownloadUseCase extends \Kufer\KuferTools\Basis\Dokumente\DokumenteDownload\DokumenteDownloadUseCase
{
  public static function getToolSectionId()
  {
    return 744;
  }

  public static function getToolId()
  {
    return 62;
  }

  protected function getDatDocObject()
  {
    $user = $this->getUser();

    $datDoc = parent::getDatDocObject();
    $datDoc->freigabe_doz_tools = true;
    $datDoc->nr = $user->dnr;
    $datDoc->typen = implode(',', \DatDocAPI::getDatDocDocumentTypes4Dozenten());

    return $datDoc;
  }
}